package com.sheep.gamegroup.presenter;

import com.sheep.gamegroup.model.api.ApiService;
import com.sheep.gamegroup.model.entity.BaseMessage;
import com.sheep.gamegroup.model.util.SheepSubscriber;
import com.sheep.jiuyan.samllsheep.SheepApp;

import javax.inject.Inject;

import io.reactivex.android.schedulers.AndroidSchedulers;
import io.reactivex.schedulers.Schedulers;

/**
 * Created by realicing on 2018/3/23.
 * realicing@sina.com
 */

public class LieMakeMoneyPresenter implements LieMakeMoneyContract.Presenter {
    private LieMakeMoneyContract.View view;
    private ApiService apiService;
    @Inject
    public LieMakeMoneyPresenter(LieMakeMoneyContract.View view, ApiService apiService) {
        this.view = view;
        this.apiService = apiService;
    }

    @Override
    public void getWebchat() {
        apiService.getWebchat()
                .subscribeOn(Schedulers.io())
                .observeOn(AndroidSchedulers.mainThread())
                .subscribe(new SheepSubscriber<BaseMessage>(SheepApp.getInstance()) {
                    @Override
                    public void onError(BaseMessage baseMessage) {
                        view.failGetWebchat2View(baseMessage);
                    }

                    @Override
                    public void onNext(BaseMessage baseMessage) {
                        view.getWebchatUpdataView(baseMessage);

                    }
                });
    }
}
